View Issue Details

IDProjectCategoryLast Update
0024446AI War 2[All Projects] Crash/ExceptionFeb 20, 2021 2:56 pm
ReporterZweihander2021Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.742 Hacking Balance 
Fixed in VersionBeta 2.744 Scourge Industries, Inc 
Summary0024446: Exception error during gameplay
DescriptionHad an exception error while clicking to make commands of a flag ship. Attached below is the debug log.
TagsNo tags attached.

Activities

Zweihander2021

Feb 18, 2021 5:23 pm

reporter  

Error current patch.txt (1,077,644 bytes)

BadgerBadger

Feb 18, 2021 7:16 pm

manager   ~0060566

2/18/2021 5:55:16 AM 2.742 SINGLEP Error in WriteAnySpecialDisplayCodeForHackedShipTooltip for 'HackToGrantTech_TechVault': System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.Core.Faction.GetCanUnlockTech (Arcen.AIW2.Core.TechUpgrade Upgrade, System.Boolean RejectIfBenefitsNothing, System.Int32& NextUnlockCost, System.Boolean ThisUnlockSpendsScience) [0x0004b] in <e9146db4ca2a4dc7a85c82f1f676098d>:0
  at Arcen.AIW2.External.HackingUtils.GetListOfTechsValidForFactionFromTag (Arcen.AIW2.Core.Faction fac, System.String TagToMatch) [0x00084] in <ac87b03049524c068ca7a96e7bd6ae26>:0
  at Arcen.AIW2.External.HackingUtils.StartListOfTechsForTechVaultStyleGranter_ByTag (Arcen.AIW2.Core.GameEntity_Squad target, Arcen.AIW2.Core.Faction hackerFaction, System.String TagToMatch, System.Int32 NumberTechsToAdd) [0x0004d] in <ac87b03049524c068ca7a96e7bd6ae26>:0
  at Arcen.AIW2.External.Hacking_GrantTech_TechVault.CalculateListOfTechs_TechVault (Arcen.AIW2.Core.GameEntity_Squad target, Arcen.AIW2.Core.Faction hackerFaction) [0x00001] in <ac87b03049524c068ca7a96e7bd6ae26>:0
  at Arcen.AIW2.External.Hacking_GrantTech_TechVault.WriteAnySpecialDisplayCodeForHackedShipTooltip (Arcen.AIW2.Core.GameEntity_Squad Target, Arcen.AIW2.Core.Faction HackerFaction, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer, Arcen.AIW2.Core.BaseTooltipDetail TooltipDetail) [0x0000d] in <ac87b03049524c068ca7a96e7bd6ae26>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x077a0] in <ac87b03049524c068ca7a96e7bd6ae26>:0

x4000Bughunter

Feb 20, 2021 2:56 pm

administrator   ~0060586

Thanks!

* Put in some defensive code against tech vaults throwing errors when you mouseover them.

Issue History

Date Modified Username Field Change
Feb 18, 2021 5:23 pm Zweihander2021 New Issue
Feb 18, 2021 5:23 pm Zweihander2021 File Added: Error current patch.txt
Feb 18, 2021 7:16 pm BadgerBadger Note Added: 0060566
Feb 20, 2021 2:56 pm x4000Bughunter Assigned To => x4000Bughunter
Feb 20, 2021 2:56 pm x4000Bughunter Status new => resolved
Feb 20, 2021 2:56 pm x4000Bughunter Resolution open => fixed
Feb 20, 2021 2:56 pm x4000Bughunter Fixed in Version => Beta 2.744 Scourge Industries, Inc
Feb 20, 2021 2:56 pm x4000Bughunter Note Added: 0060586